Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Interface ICommonViewerSite

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  ICommonViewerWorkbenchSite

    public interface ICommonViewerSite

extends IAdaptable

Provides context for extensions including a valid shell, a selection provider, and a unique identifier corresponding to the abstract viewer behind the viewer site.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getId()`
`ISelectionProvider` `getSelectionProvider()`
`Shell` `getShell()`
`void` `setSelectionProvider(ISelectionProvider provider)` Sets the selection provider for this common viewer site.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getId

    String getId()

  Returns:
    The unique identifier associated with the defined abstract viewer. In general, this will be the id of the org.eclipse.ui.views extension that defines the view part.

### getShell

    Shell getShell()

  Returns:
    A valid shell corresponding to the shell of the `CommonViewer`

### getSelectionProvider

    ISelectionProvider getSelectionProvider()

  Returns:
    The selection provider that can provide a current, valid selection. The default selection provider is the `CommonViewer`.

### setSelectionProvider

    void setSelectionProvider(ISelectionProvider provider)

  Sets the selection provider for this common viewer site.

  Parameters:
    `provider` - the selection provider, or `null` to clear it

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.